Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 923183 - New version of mathgl is out.
Summary: New version of mathgl is out.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mathgl
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: mycae
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 926120
TreeView+ depends on / blocked
 
Reported: 2013-03-19 11:42 UTC by Dmitrij S. Kryzhevich
Modified: 2013-07-11 03:39 UTC (History)
3 users (show)

Fixed In Version: mathgl-2.1.2-8.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-09 01:34:03 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
SPEC file for rebuilding (deleted)
2013-03-31 20:27 UTC, Ganapathi Kamath
no flags Details
src.rpm (deleted)
2013-03-31 20:29 UTC, Ganapathi Kamath
no flags Details

Description Dmitrij S. Kryzhevich 2013-03-19 11:42:48 UTC
Mathgl v. 2.1.2 is already released. Fedora still have it 1.x.x version. Could you update it?

Comment 1 Dmitrij S. Kryzhevich 2013-03-19 11:44:36 UTC
It would be my pleasure to became a comaintainer of mathgl in Fedora as well if you don't mind.

Comment 2 mycae 2013-03-19 17:33:33 UTC
Hi Dmitrij,

The problem is that upgrading mathgl will break a dependency, 3Depict. I am the maintainer (and upstream) of that project, and I have updated a private version to support mathgl 2, however this has not yet been released, and is still being tested.

We are looking to release in ~1 month, at which time 3Depict will support both mathgl 1x and mathgl 2x via a preprocessor define. This will mean updating mathgl will not break the downstream package - which is nice :). 

As for co-maintaining, that would be great! Are you in the packager group? If so, just let me know when you apply for ACL rights for mathgl, and I will transfer grant them. 

Having a package ready in git would be useful.

Comment 3 Dmitrij S. Kryzhevich 2013-03-20 03:31:09 UTC
> We are looking to release in ~1 month, at which time 3Depict will support
> both mathgl 1x and mathgl 2x via a preprocessor define.

Fine.

> As for co-maintaining, that would be great! Are you in the packager group?
> If so, just let me know when you apply for ACL rights for mathgl, and I will
> transfer grant them. 

Applied. Thanks.

Comment 4 Ganapathi Kamath 2013-03-31 20:25:40 UTC
I attempted to rebuild
seems to work
please use/repackage officially

based on mathgl-2.1.1-2.1.2.src.rpm 
from SUSE distribution

/home/guser/rpmbuild/RPMS/
/home/guser/rpmbuild/RPMS/noarch
/home/guser/rpmbuild/RPMS/noarch/mathgl-doc-2.1.2-2.1.2.noarch.rpm
/home/guser/rpmbuild/RPMS/noarch/mathgl-fonts-2.1.2-2.1.2.noarch.rpm
/home/guser/rpmbuild/RPMS/x86_64
/home/guser/rpmbuild/RPMS/x86_64/udav-2.1.2-2.1.2.x86_64.rpm
/home/guser/rpmbuild/RPMS/x86_64/mathgl-tools-2.1.2-2.1.2.x86_64.rpm
/home/guser/rpmbuild/RPMS/x86_64/python-mathgl-2.1.2-2.1.2.x86_64.rpm
/home/guser/rpmbuild/RPMS/x86_64/libmathgl7-2.1.2-2.1.2.x86_64.rpm
/home/guser/rpmbuild/RPMS/x86_64/mathgl-examples-2.1.2-2.1.2.x86_64.rpm
/home/guser/rpmbuild/RPMS/x86_64/octave-mathgl-2.1.2-2.1.2.x86_64.rpm
/home/guser/rpmbuild/RPMS/x86_64/mathgl-devel-2.1.2-2.1.2.x86_64.rpm
/home/guser/rpmbuild//SRPMS/mathgl-2.1.2-2.1.2.src.rpm

attmpting to attach
A) specfile mathgl.specs
B) src rpm mathgl-2.1.2-2.1.2.src.rpm 

unclear what this is: but 

# rpm -i  /root/rpmbuild/RPMS/x86_64/*4.rpm /root/rpmbuild/RPMS/noarch/mathgl-*
/var/tmp/rpm-tmp.SEJPGk: line 1: fg: no job control
/var/tmp/rpm-tmp.SEJPGk: line 2: fg: no job control
/var/tmp/rpm-tmp.SEJPGk: line 3: fg: no job control
warning: %post(mathgl-doc-2.1.2-2.1.2.noarch) scriptlet failed, exit status 1

seems to work

ALso, I do not know if there is redundancy between stix-fonts.rpm and mathgl-fonts.rpm

Comment 5 Ganapathi Kamath 2013-03-31 20:27:49 UTC
Created attachment 730036 [details]
SPEC file for rebuilding

adapted from Suse mathgl-2.1.1-2.1.2.src.rpm, modified for mathgl-2.1.2

Comment 6 Ganapathi Kamath 2013-03-31 20:29:00 UTC
Created attachment 730037 [details]
src.rpm

Source rpm including recent mathgl form mathgl website.

Comment 7 Ganapathi Kamath 2013-04-01 18:05:23 UTC
 rpm -ivh /home/guser/Downloads/mathgl-2.1.1-2.1.2.src.rpm
 rpmbuild -vv -ba /home/guser/rpmbuild/SPECS/mathgl.spec

let know if works

Comment 8 mycae 2013-04-14 19:40:25 UTC
thanks for the spec - but unfortunately I had to modify the existing one to ensure compliance with the packaging guidelines (https://fedoraproject.org/wiki/Packaging:Guidelines).

Anyway, I've pushed a commit to git master :
http://pkgs.fedoraproject.org/cgit/mathgl.git/

I would appreciate some feedback, as the new buildsystem is quite different to the old.

Comment 9 Elliott Forney 2013-06-23 21:50:11 UTC
I am happy to see that you are working on this.  Thanks!

Comment 10 Fedora Update System 2013-06-24 09:05:54 UTC
mathgl-2.1.2-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mathgl-2.1.2-8.fc19

Comment 11 Fedora Update System 2013-06-24 18:48:22 UTC
Package mathgl-2.1.2-8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mathgl-2.1.2-8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11589/mathgl-2.1.2-8.fc19
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2013-07-09 01:34:03 UTC
mathgl-2.1.2-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Ganapathi Kamath 2013-07-11 02:10:32 UTC
is it the case that a octave-mathgl is excluded ?

Comment 14 Dmitrij S. Kryzhevich 2013-07-11 03:39:14 UTC
(In reply to Ganapathi Kamath from comment #13)
> is it the case that a octave-mathgl is excluded ?

Right. It is what I'm planning to do with new 2.1.3 version (already released). But some time later, sorry. You could open a new bugreport with octave support request if you want to track this issue.


Note You need to log in before you can comment on or make changes to this bug.